Botan 2.19.5 Crypto and TLS for C&

Classes | Namespaces | Enumerations | Functions
x509cert.h File Reference
`#include <botan/x509_obj.h>`
`#include <memory>`

Go to the source code of this file.

## Classes
class | Botan::X509_Certificate

## Namespaces
namespace | Botan

## Enumerations
enum class | Botan::Usage_Type { Botan::UNSPECIFIED , Botan::TLS_SERVER_AUTH , Botan::TLS_CLIENT_AUTH , Botan::CERTIFICATE_AUTHORITY , Botan::OCSP_RESPONDER , Botan::ENCRYPTION }

## Functions
bool | Botan::operator!= (const X509_Certificate &cert1, const X509_Certificate &cert2)